org.apache.solr.common

## Interface IteratorWriter

    public interface IteratorWriter

Interface to help do push writing to an array

### Nested Class Summary

Nested Classes
`static interface` `IteratorWriter.ItemWriter`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default List` `toList(List l)`
`void` `writeIter(IteratorWriter.ItemWriter iw)`

### Method Detail

#### writeIter

    void writeIter(IteratorWriter.ItemWriter iw)
            throws IOException

Parameters:
  `iw` - after this method returns , the ItemWriter Object is invalid Do not hold a reference to this object
Throws:
  `IOException`

#### toList

    default List toList(List l)